## org.apache.lucene.facet.util
Class MultiCategoryListIterator

    java.lang.Object
      org.apache.lucene.facet.util.MultiCategoryListIterator

All Implemented Interfaces:
  CategoryListIterator

    public class MultiCategoryListIterator

extends Object
implements CategoryListIterator

Iterates over multiple `CategoryListIterator`s, consuming the provided iterators in order.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`MultiCategoryListIterator(CategoryListIterator... iterators)` Receives the iterators to iterate on

Method Summary
`boolean` `init()` Fails if all given iterators fail to init
`long` `nextCategory()` Return a value larger than `Integer.MAX_VALUE` only if all iterators are exhausted
`boolean` `skipTo(int docId)` Fails only if skipTo on all the provided iterators returned `false`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiCategoryListIterator

    public MultiCategoryListIterator(CategoryListIterator... iterators)

  Receives the iterators to iterate on

Method Detail

### init

    public boolean init()
                 throws IOException

  Fails if all given iterators fail to init

  Specified by:
    `init` in interface `CategoryListIterator`
  Throws:
    `IOException`

### nextCategory

    public long nextCategory()
                      throws IOException

  Return a value larger than `Integer.MAX_VALUE` only if all iterators are exhausted

  Specified by:
    `nextCategory` in interface `CategoryListIterator`
  Throws:
    `IOException`

### skipTo

    public boolean skipTo(int docId)
                   throws IOException

  Fails only if skipTo on all the provided iterators returned `false`

  Specified by:
    `skipTo` in interface `CategoryListIterator`
  Throws:
    `IOException`